読者です 読者をやめる 読者になる 読者になる

studylog/北の雲

chainer/python/nlp

Chainerのpython3対応はもうまもなく、な気がする

chainer

先日リリースされたPFIのディープラーニング向けpythonライブラリChainer。
3系には残念ながら対応していませんが、もう間もなく対応してくるんじゃないかと思ってます。

Python 3 compatibility · Issue #22 · pfnet/chainer · GitHub

意訳
A:3系はどうなんでしょうか?
中の人:依存してるライブラリが3系未対応なのでまだ
B:PyCUDAは3対応済み、scikits.cudaも最新バージョンは対応してるっぽいですよ
中の人:そりゃいいね!


ってことで、
Support python3 by unnonouno · Pull Request #67 · pfnet/chainer · GitHub
こちらでpython3対応コードが書かれてましたけど、先ほどmasterブランチに取り込まれたようです。
githubについて全く知識が無いので不正確かもしれないけどこれは対応がもう近いんじゃないかと思うわけです。タイミングよくGPUも先ほど調達してきたので3系が動くかどうか自分もやってみよう。
 
自分は主に文字列を扱うので、もう2系には絶対に戻りたく無いわけです。
ありがたい。